#!/usr/bin/python3
# Entry point

from flask import Flask
from api import api
from config import config, setLogLevel
import os

setLogLevel()

port = config["server.port"]
host = config["server.host"]

app = Flask(__name__)
api.init_app(app)

app.run(host=host, port=port)
